[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#281927: marked as done (debootstrap should check for proper mount permissions)



Your message dated Fri, 19 Oct 2007 14:32:02 +0000
with message-id <E1IistO-0002N6-DN@ries.debian.org>
and subject line Bug#233798: fixed in debootstrap 1.0.4
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: debootstrap
Version: 0.2.45
Severity: important

Hello,
to avoid user errors, I followed the man page instructions. I assume
the error to be somewhere else, but since I don't know the internals
of debootstrap I don't know which fault it actually is.

The last page of output is:
Preparing to replace initscripts 2.86-5 (using .../initscripts_2.86-5_powerpc.deb) ...
Unpacking replacement initscripts ...
dpkg: regarding .../sysvinit_2.86-5_powerpc.deb containing sysvinit, pre-dependency problem:
 sysvinit pre-depends on initscripts
  initscripts is unpacked, but has never been configured.
dpkg: warning - ignoring pre-dependency problem !
dpkg: regarding .../sysvinit_2.86-5_powerpc.deb containing sysvinit, pre-dependency problem:
 sysvinit pre-depends on sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
  sysv-rc is unpacked, but has never been configured.
dpkg: warning - ignoring pre-dependency problem !
Preparing to replace sysvinit 2.86-5 (using .../sysvinit_2.86-5_powerpc.deb) ...
Unpacking replacement sysvinit ...
Preparing to replace sysv-rc 2.86-5 (using .../sysv-rc_2.86-5_all.deb) ...
Unpacking replacement sysv-rc ...
Preparing to replace tar 1.14-2 (using .../tar_1.14-2_powerpc.deb) ...
Unpacking replacement tar ...
/var/lib/dpkg/info/tar.postrm: line 4: /dev/null: Permission denied
dpkg: regarding .../util-linux_2.12h-3_powerpc.deb containing util-linux, pre-dependency problem:
 util-linux pre-depends on libncurses5 (>= 5.4-1)
  libncurses5 is unpacked, but has never been configured.
dpkg: warning - ignoring pre-dependency problem !
dpkg: regarding .../util-linux_2.12h-3_powerpc.deb containing util-linux, pre-dependency problem:
 util-linux pre-depends on slang1a-utf8 (>> 1.4.9dbs-4)
  slang1a-utf8 is unpacked, but has never been configured.
dpkg: warning - ignoring pre-dependency problem !
dpkg: regarding .../util-linux_2.12h-3_powerpc.deb containing util-linux, pre-dependency problem:
 util-linux pre-depends on zlib1g (>= 1:1.2.1)
dpkg: warning - ignoring pre-dependency problem !
Preparing to replace util-linux 2.12h-3 (using .../util-linux_2.12h-3_powerpc.deb) ...
Unpacking replacement util-linux ...
Preparing to replace whiptail 0.51.6-18 (using .../whiptail_0.51.6-18_powerpc.deb) ...
Unpacking replacement whiptail ...
Preparing to replace libgcc1 1:3.4.2-3 (using .../libgcc1_1%3a3.4.2-3_powerpc.deb) ...
Unpacking replacement libgcc1 ...
Preparing to replace gcc-3.3-base 1:3.3.5-2 (using .../gcc-3.3-base_1%3a3.3.5-2_powerpc.deb) ...
Unpacking replacement gcc-3.3-base ...
Preparing to replace libstdc++5 1:3.3.5-2 (using .../libstdc++5_1%3a3.3.5-2_powerpc.deb) ...
Unpacking replacement libstdc++5 ...
Preparing to replace libreadline4 4.3-15 (using .../libreadline4_4.3-15_powerpc.deb) ...
Unpacking replacement libreadline4 ...
Errors were encountered while processing:
 /var/cache/apt/archives/bash_3.0-10_powerpc.deb
 /var/cache/apt/archives/e2fsprogs_1.35-8_powerpc.deb
W: Failure while unpacking required packages.  This will be attempted up to five times.
umount: /scr/build/chroot-sid/dev/pts: not found
umount: /scr/build/chroot-sid/dev/shm: not found
umount: /scr/build/chroot-sid/proc/bus/usb: not mounted

Please tell me which other information you need. The commands issued were:
thirtyto:/scr/build# mkdir chroot-sid
thirtyto:/scr/build# debootstrap sid /scr/build/chroot-sid/ http://debian.tu-bs.de/debian/

(and yes, there is still 1.2 GB free space on /scr/build)

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages debootstrap depends on:
ii  binutils                    2.15-4       The GNU assembler, linker and bina
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  wget                        1.9.1-8      retrieves files from the web

-- no debconf information
-- 
Helge Kreutzmann, Dipl.-Phys.               Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/

Attachment: pgp4UCFVR701Z.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: debootstrap
Source-Version: 1.0.4

We believe that the bug you reported is fixed in the latest version of
debootstrap, which is due to be installed in the Debian FTP archive:

debootstrap-udeb_1.0.4_i386.udeb
  to pool/main/d/debootstrap/debootstrap-udeb_1.0.4_i386.udeb
debootstrap_1.0.4.dsc
  to pool/main/d/debootstrap/debootstrap_1.0.4.dsc
debootstrap_1.0.4.tar.gz
  to pool/main/d/debootstrap/debootstrap_1.0.4.tar.gz
debootstrap_1.0.4_all.deb
  to pool/main/d/debootstrap/debootstrap_1.0.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 233798@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated debootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Oct 2007 14:57:37 +0100
Source: debootstrap
Binary: debootstrap-udeb debootstrap
Architecture: source all i386
Version: 1.0.4
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 debootstrap - Bootstrap a basic Debian system
 debootstrap-udeb - Bootstrap the Debian system (udeb)
Closes: 233798 327708 391604 402380 434893 445157
Changes: 
 debootstrap (1.0.4) unstable; urgency=low
 .
   [ Neil Williams ]
   * Add --second-stage-target option that allows embedded to test for
     installations in a chroot on the device (closes: #445157).
 .
   [ Colin Watson ]
   * Add (Ubuntu) hardy as a symlink to gutsy.
   * Unmount /lib/init/rw on exit (closes: #391604).
   * Cope if uncompressed Packages is missing from Release (closes: #402380).
   * Don't rely on XSI test(1) extensions.
   * Add support for ssh:/// URLs (thanks, Steffen Joeris; closes: #434893).
   * Fix Ubuntu hoary and breezy scripts to unmount /dev etc. on exit
     (closes: #327708).
   * Emit an error if we cannot create working devices or executables on the
     target (based on work by Bastian Kleineidam; closes: #233798).
Files: 
 95e57c13d1d18cc5e3eae391a98c94e7 865 admin - debootstrap_1.0.4.dsc
 1b9a688aa73ed4e7a7cfb2ea71f9c250 49677 admin - debootstrap_1.0.4.tar.gz
 0ee51d9b61265fca7caf98dabcc725f1 50254 admin extra debootstrap_1.0.4_all.deb
 d567d7e500ecde3dfd9f16b795d60443 92164 debian-installer required debootstrap-udeb_1.0.4_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFHGLkW9t0zAhD6TNERApAjAJoDXiyLAB5YFsze5YEq2ekrKYu8AQCfQfsf
2ow76p2ejkDpLaJDALTZB9Y=
=onj4
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: